GET /api/v202402/commodityCategory/{commodityCategoryId}

Gets a commodity category by ID

GetCommodityCategoryV202402

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
commodityCategoryId The commodity category identifier integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

CommodityCategoryResponse
Property Description Type
commodities List of commodities under the category CommodityChild[]
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
commodityCategoryId The commodity category id integer (int32)
commodityCategoryInfo The commodity category info string
commonDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
Example Response application/json
{  "commodities": [
    {    "commodityCode": "string",    "commodityIcon": {      "code": "string",      "color": "string"
    },    "commodityId": 1,    "commodityInfo": "string"
  }
  ],  "commodityCategoryId": 1,  "commodityCategoryInfo": "string",  "commonDemandUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "commonUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  }
}